Description

radosgw-admin orphans find/finish gives us a list of orphan objects but we do not have the command to delete these leaked objects
from the radosgw-admin layer. An admin or user has to choose rados rm command to remove these leaked objects.

It would be better to have a command which takes care of this part from RGW layer.

History

#1 - 01/25/2018 07:33 PM - Vikhyat Umrao

- Source set to Support
#2 - 01/26/2018 09:57 PM - Vikhyat Umrao
- Subject changed from radosgw-admin orphan rm to radosgw-admin orphans rm

- Description updated

#3 - 05/01/2018 09:27 PM - Vikhyat Umrao

- Status changed from New to Rejected

There are some other plans for RGW data scrubbing.
